Loading...
Searching...
No Matches
metadata.h File Reference
Extensions » Metadata

pipewire/extensions/metadata.h More...

Go to the source code of this file.

## Data Structures

struct | pw_metadata_events
| Metadata events More...
struct | pw_metadata_methods
| Metadata methods More...

## Macros

#define | PW_TYPE_INTERFACE_Metadata PW_TYPE_INFO_INTERFACE_BASE "Metadata"
#define | PW_METADATA_PERM_MASK PW_PERM_RWX
#define | PW_VERSION_METADATA 3
#define | PW_API_METADATA_IMPL static inline
#define | PW_EXTENSION_MODULE_METADATA PIPEWIRE_MODULE_PREFIX "module-metadata"
#define | PW_METADATA_EVENT_PROPERTY 0
#define | PW_METADATA_EVENT_NUM 1
#define | PW_VERSION_METADATA_EVENTS 0
#define | PW_METADATA_METHOD_ADD_LISTENER 0
#define | PW_METADATA_METHOD_SET_PROPERTY 1
#define | PW_METADATA_METHOD_CLEAR 2
#define | PW_METADATA_METHOD_NUM 3
#define | PW_VERSION_METADATA_METHODS 0
#define | PW_KEY_METADATA_NAME "metadata.name"
#define | PW_KEY_METADATA_VALUES "metadata.values"

## Functions

PW_API_METADATA_IMPL int | pw_metadata_add_listener (struct pw_metadata *object, struct spa_hook *listener, const struct pw_metadata_events *events, void *data)
PW_API_METADATA_IMPL int | pw_metadata_set_property (struct pw_metadata *object, uint32_t subject, const char *key, const char *type, const char *value)
| Set a metadata property.
PW_API_METADATA_IMPL int | pw_metadata_clear (struct pw_metadata *object)
| Clear all metadata.

## Detailed Description

pipewire/extensions/metadata.h